Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc
Interface JDBCConfiguration

All Superinterfaces:
  BeanInfo, Cloneable, Configuration, ConnectionFactoryConfiguration, Serializable

All Known Subinterfaces:
  EEConfiguration

All Known Implementing Classes:
  JDBCSimpleConfiguration

public interface JDBCConfiguration
extends Configuration, ConnectionFactoryConfiguration

Configuration that defines the properties necessary to configure runtime and connect to a JDBC DataSource.

In addition to those supported by the `Configuration`, the following properties are recognized:

- com.solarmetric.kodo.impl.jdbc.ConnectionRetainMode
- com.solarmetric.kodo.impl.jdbc.ConnectionTestTimeout
- com.solarmetric.kodo.impl.jdbc.DictionaryClass
- com.solarmetric.kodo.impl.jdbc.SQLExecutionManagerClass
- com.solarmetric.kodo.impl.jdbc.DictionaryProperties
- com.solarmetric.kodo.impl.jdbc.SequenceFactoryClass
- com.solarmetric.kodo.impl.jdbc.SequenceFactoryProperties
- com.solarmetric.kodo.impl.jdbc.DefaultSubclassProviderClass
- com.solarmetric.kodo.impl.jdbc.DefaultSubclassProviderProperties
- com.solarmetric.kodo.impl.jdbc.DefaultClassMappingClass
- com.solarmetric.kodo.impl.jdbc.WarnOnPeristentTypeFailure
- com.solarmetric.kodo.impl.jdbc.UseBatchedStatements
- com.solarmetric.kodo.impl.jdbc.StatementCacheMaxSize
- com.solarmetric.kodo.impl.jdbc.StatementExecutionTimeout
- com.solarmetric.kodo.impl.jdbc.SynchronizeSchema
- com.solarmetric.kodo.impl.jdbc.SQLExecutionListenerClass
- com.solarmetric.kodo.impl.jdbc.TransactionIsolation
- com.solarmetric.kodo.impl.jdbc.UseSQL92Joins
- com.solarmetric.kodo.impl.jdbc.PersistentTypes

Field Summary
`static String` | `LOG_JDBC` JDBC event logging.
`static String` | `LOG_SCHEMA` Schema-related stuff logging constant.
`static String` | `LOG_SQL` SQL and SQL execution manager logging.

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_PERFORMANCE, LOG_PORTABILITY, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`String` | `getConnectionRetainMode()` The connection retain mode.
`int` | `getConnectionTestTimeout()` The number of seconds to wait between testing connections retrieved from the connection pool.
`String` | `getDefaultClassMappingClass()` The class name of the default ClassMapping implementation.
`String` | `getDefaultSubclassProviderClass()` The class name of the default SubclassProvider implementation.
`String` | `getDefaultSubclassProviderProperties()` Configuration properties for the subclass provider.
`DBDictionary` | `getDictionary(Connector connector)` The DBDictionary to use.
`String` | `getDictionaryClass()` The dictionary class to use to define the RDBMS SQL information
`String` | `getDictionaryProperties()` Configuration options for the dictionary.
`boolean` | `getFlatInheritanceMapping()` Return whether or not a flat inheritance mapping strategy should be used by default.
`SequenceFactory` | `getSequenceFactory(Connector connector)` Deprecated. Use `getSequenceFactory(Connector,ClassMetaData)` instead.
`SequenceFactory` | `getSequenceFactory(Connector connector, ClassMetaData meta)` The SequenceFactory to use.
`String` | `getSequenceFactoryClass()` The class name of the SequenceFactory implementation.
`String` | `getSequenceFactoryProperties()` Configuration properties for the sequence factory.
`SQLExecutionListener` | `getSQLExecutionListener()` Create an instance of the `getSQLExecutionListenerClass()` class.
`String` | `getSQLExecutionListenerClass()` The static class for listening to `SQLExecutionEvent`s.
`String` | `getSQLExecutionManagerClass()` The class to use for managing SQL execution.
`int` | `getStatementCacheMaxSize()` The size of the statement re-use cache.
`int` | `getStatementExecutionTimeout()` The timout for Statement execution (in seconds).
`boolean` | `getSynchronizeSchema()` Automatically refresh the schema for all persistent types seen.
`String` | `getTransactionIsolation()` The transaction isolation that will be used when starting JDBC transactions.
`int` | `getTransactionIsolationLevel()` Return the transaction isolation as a `Connection` transaction constant.
`boolean` | `getUseBatchedStatements()` Batch together multiple similiar statements for faster execution.
`String` | `getUseSQL92Joins()` Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses.
`int` | `getUseSQL92JoinsConstant()` Return the constant from `JDBCQuery` for the join type.
`boolean` | `getWarnOnPersistentTypeFailure()` Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.
`void` | `setConnectionRetainMode(String mode)` The connection retain mode.
`void` | `setConnectionTestTimeout(int timeout)` The number of seconds to wait between testing connections retrieved from the connection pool.
`void` | `setConnectionTestTimeout(Integer timeout)` Wrapper setter for `setConnectionTestTimeout(int)`.
`void` | `setDefaultClassMappingClass(String clsName)` The class name of the default ClassMapping implementation.
`void` | `setDefaultSubclassProviderClass(String clsName)` The class name of the default SubclassProvider implementation.
`void` | `setDefaultSubclassProviderProperties(String props)` Configuration properties for the default subclass provider.
`void` | `setDictionary(DBDictionary dict)` The DBDictionary to use.
`void` | `setDictionaryClass(String clsName)` The dictionary class to use to define the RDBMS SQL information
`void` | `setDictionaryProperties(String props)` Configuration options for the dictionary.
`void` | `setFlatInheritanceMapping(boolean map)` Configure the default inheritance hierarchy mapping strategy.
`void` | `setFlatInheritanceMapping(Boolean map)` Wrapper setter for `setFlatInheritanceMapping(boolean)`.
`void` | `setSequenceFactory(SequenceFactory seq)` The default SequenceFactory to use.
`void` | `setSequenceFactory(SequenceFactory seq, ClassMetaData meta)` The SequenceFactory to use for classes of type `meta`.
`void` | `setSequenceFactoryClass(String clsName)` The class name of the SequenceFactory implementation.
`void` | `setSequenceFactoryProperties(String props)` Configuration properties for the sequence factory.
`void` | `setSQLExecutionListenerClass(String sqlExecutionListenerClass)` The static class for listening to `SQLExecutionEvent`s.
`void` | `setSQLExecutionManagerClass(String clsName)` The class to use for managing SQL execution.
`void` | `setStatementCacheMaxSize(int statementCacheMaxSize)` The size of the statement re-use cache.
`void` | `setStatementCacheMaxSize(Integer statementCacheMaxSize)` Wrapper setter for `setStatementCacheMaxSize(int)`.
`void` | `setStatementExecutionTimeout(int statementExecutionTimeout)` The timout for Statement execution (in seconds).
`void` | `setStatementExecutionTimeout(Integer stmntTimeout)` Wrapper setter for `setStatementExecutionTimeout(int)`.
`void` | `setSynchronizeSchema(boolean synchronizeSchema)` Automatically refresh the schema for all persistent types seen.
`void` | `setSynchronizeSchema(Boolean synchronizeSchema)` Wrapper setter for `setSynchronizeSchema(boolean)`.
`void` | `setTransactionIsolation(String transactionIsolation)` The transaction isolation that will be used when starting JDBC transactions.
`void` | `setUseBatchedStatements(boolean useBatch)` Batch together multiple similiar statements for faster execution.
`void` | `setUseBatchedStatements(Boolean useBatch)` Wrapper setter for `setUseBatchedStatements(boolean)`.
`void` | `setUseSQL92Joins(String useSQL92Joins)` Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses.
`void` | `setWarnOnPersistentTypeFailure(boolean warn)` Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.
`void` | `setWarnOnPersistentTypeFailure(Boolean warn)` Wrapper setter for `setWarnOnPersistentTypeFailure(boolean)`.

Methods inherited from interface com.solarmetric.kodo.conf.Configuration
`clone, configurationClone, freeze, fromProperties, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultDataCacheTimeout, getDefaultFetchBatchSize, getDefaultFetchThreshold, getEnableQueryExtensions, getFetchGroupNames, getFetchGroups, getFlushBeforeQueries, getFlushBeforeQueriesMode, getIgnoreCache, getLicenseKey, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryCache, getQueryCacheClass, getQueryCacheProperties, getQueryFilterListenerInstances, getQueryFilterListeners, getRemoteCommitProviderClass, getRemoteCommitProviderProperties, getRestoreValues, getResultListClass, getResultListProperties, getRetainValues, getTransactionCacheClass, getTransactionCacheProperties, getTransactionMode, getTransactionModeIsXA, getUseSoftTransactionCache, isFrozen, setCacheReferenceSize, setCacheReferenceSize, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultDataCacheTimeout, setDefaultDataCacheTimeout, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setFetchGroups, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryCache, setQueryCacheClass, setQueryCacheProperties, setQueryFilterListenerInstances, setQueryFilterListeners, setRemoteCommitProviderClass, setRemoteCommitProviderProperties, setRestoreValues, setRestoreValues, setResultListClass, setResultListProperties, setRetainValues, setRetainValues, setTransactionCacheClass, setTransactionCacheProperties, setTransactionMode, setUseSoftTransactionCache, setUseSoftTransactionCache, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ConnectionFactoryConfiguration
`getConnectionDriverName, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getMaxPool, getMinPool, getMsWait, setConnectionDriverName, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setMaxPool, setMinPool, setMsWait`

Field Detail

### LOG_SQL

    public static final String LOG_SQL

  SQL and SQL execution manager logging. Controlled by com.solarmetric.kodo.impl.jdbc.SQL

### LOG_JDBC

    public static final String LOG_JDBC

  JDBC event logging. Controlled by com.solarmetric.kodo.impl.jdbc.JDBC

### LOG_SCHEMA

    public static final String LOG_SCHEMA

  Schema-related stuff logging constant. Controlled by com.solarmetric.kodo.impl.jdbc.Schema

Method Detail

### getConnectionRetainMode

    public String getConnectionRetainMode()

  The connection retain mode. Possible options are `persistence-manager`, `transaction`, and `on-demand`. Default value is `on-demand`.

### setConnectionRetainMode

    public void setConnectionRetainMode(String mode)

  The connection retain mode. Possible options are `persistence-manager`, `transaction`, and `on-demand`. Default value is `on-demand`.

### getConnectionTestTimeout

    public int getConnectionTestTimeout()

  The number of seconds to wait between testing connections retrieved from the connection pool. Only valid when using the built-in Kodo connection pooling.
  Specified by:
    `getConnectionTestTimeout` in interface `ConnectionFactoryConfiguration`

### setConnectionTestTimeout

    public void setConnectionTestTimeout(int timeout)

  The number of seconds to wait between testing connections retrieved from the connection pool. Only valid when using the built-in Kodo connection pooling.
  Specified by:
    `setConnectionTestTimeout` in interface `ConnectionFactoryConfiguration`

### setConnectionTestTimeout

    public void setConnectionTestTimeout(Integer timeout)

  Wrapper setter for `setConnectionTestTimeout(int)`.

### getDictionaryClass

    public String getDictionaryClass()

  The dictionary class to use to define the RDBMS SQL information

### setDictionaryClass

    public void setDictionaryClass(String clsName)

  The dictionary class to use to define the RDBMS SQL information

### getSQLExecutionManagerClass

    public String getSQLExecutionManagerClass()

  The class to use for managing SQL execution.
  Since:
    2.4

### setSQLExecutionManagerClass

    public void setSQLExecutionManagerClass(String clsName)

  The class to use for managing SQL execution.
  Since:
    2.4

### getDictionaryProperties

    public String getDictionaryProperties()

  Configuration options for the dictionary.

### setDictionaryProperties

    public void setDictionaryProperties(String props)

  Configuration options for the dictionary.

### getDictionary

    public DBDictionary getDictionary(Connector connector)

  The DBDictionary to use. If a dictionary has been explicitly set via the `setDictionary(com.solarmetric.kodo.impl.jdbc.schema.DBDictionary)` method, it will be returned. Otherwise, if the dictionary class has been set, a new instance of the class will created and configured with any set dictionary properties. This instance will be cached for subsequence calls to this method. Finally, if no dictionary class has been set a default dictionary will be returned.

### setDictionary

    public void setDictionary(DBDictionary dict)

  The DBDictionary to use.

### getSequenceFactoryClass

    public String getSequenceFactoryClass()

  The class name of the SequenceFactory implementation.

### setSequenceFactoryClass

    public void setSequenceFactoryClass(String clsName)

  The class name of the SequenceFactory implementation.

### getSequenceFactoryProperties

    public String getSequenceFactoryProperties()

  Configuration properties for the sequence factory.

### setSequenceFactoryProperties

    public void setSequenceFactoryProperties(String props)

  Configuration properties for the sequence factory.

### getSequenceFactory

    public SequenceFactory getSequenceFactory(Connector connector)

  Deprecated. Use `getSequenceFactory(Connector,ClassMetaData)` instead.

  The default SequenceFactory to use.

### getSequenceFactory

    public SequenceFactory getSequenceFactory(Connector connector,
                                              ClassMetaData meta)

  The SequenceFactory to use. If a sequence factory has been explicitly set via the `setSequenceFactory(com.solarmetric.kodo.impl.jdbc.SequenceFactory)` method, it will be returned. Otherwise, if the sequence factory class has been set, a new instance of the class will created and configured with any set sequence factory properties. This instance will be cached for subsequent calls to this method. Finally, if no sequence factory class has been set, a default sequence factory will be returned.

### setSequenceFactory

    public void setSequenceFactory(SequenceFactory seq)

  The default SequenceFactory to use.

### setSequenceFactory

    public void setSequenceFactory(SequenceFactory seq,
                                   ClassMetaData meta)

  The SequenceFactory to use for classes of type `meta`.

### getDefaultSubclassProviderClass

    public String getDefaultSubclassProviderClass()

  The class name of the default SubclassProvider implementation.

### setDefaultSubclassProviderClass

    public void setDefaultSubclassProviderClass(String clsName)

  The class name of the default SubclassProvider implementation.

### getDefaultSubclassProviderProperties

    public String getDefaultSubclassProviderProperties()

  Configuration properties for the subclass provider.

### setDefaultSubclassProviderProperties

    public void setDefaultSubclassProviderProperties(String props)

  Configuration properties for the default subclass provider.

### getDefaultClassMappingClass

    public String getDefaultClassMappingClass()

  The class name of the default ClassMapping implementation.

### setDefaultClassMappingClass

    public void setDefaultClassMappingClass(String clsName)

  The class name of the default ClassMapping implementation.

### getWarnOnPersistentTypeFailure

    public boolean getWarnOnPersistentTypeFailure()

  Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.

### setWarnOnPersistentTypeFailure

    public void setWarnOnPersistentTypeFailure(boolean warn)

  Warn (rather than throw an exception) when the class in the data store's persistent metadata is not found.

### setWarnOnPersistentTypeFailure

    public void setWarnOnPersistentTypeFailure(Boolean warn)

  Wrapper setter for `setWarnOnPersistentTypeFailure(boolean)`.

### getSynchronizeSchema

    public boolean getSynchronizeSchema()

  Automatically refresh the schema for all persistent types seen.
  Since:
    2.4

### setSynchronizeSchema

    public void setSynchronizeSchema(boolean synchronizeSchema)

  Automatically refresh the schema for all persistent types seen.
  Since:
    2.4

### setSynchronizeSchema

    public void setSynchronizeSchema(Boolean synchronizeSchema)

  Wrapper setter for `setSynchronizeSchema(boolean)`.

### getUseBatchedStatements

    public boolean getUseBatchedStatements()

  Batch together multiple similiar statements for faster execution.
  Since:
    2.4

### setUseBatchedStatements

    public void setUseBatchedStatements(boolean useBatch)

  Batch together multiple similiar statements for faster execution.
  Since:
    2.4

### setUseBatchedStatements

    public void setUseBatchedStatements(Boolean useBatch)

  Wrapper setter for `setUseBatchedStatements(boolean)`.

### getFlatInheritanceMapping

    public boolean getFlatInheritanceMapping()

  Return whether or not a flat inheritance mapping strategy should be used by default. If `true`, then all fields of all classes in a given inheritance hierarchy will by default map into the least-derived type's default primary table. If `false` then a new default primary table will be created for each class in the inheritance hierarchy, and each type's declared fields will map to that table by default.

### setFlatInheritanceMapping

    public void setFlatInheritanceMapping(boolean map)

  Configure the default inheritance hierarchy mapping strategy.

### setFlatInheritanceMapping

    public void setFlatInheritanceMapping(Boolean map)

  Wrapper setter for `setFlatInheritanceMapping(boolean)`.

### getStatementCacheMaxSize

    public int getStatementCacheMaxSize()

  The size of the statement re-use cache.
  Specified by:
    `getStatementCacheMaxSize` in interface `ConnectionFactoryConfiguration`
  Since:
    2.4

### setStatementCacheMaxSize

    public void setStatementCacheMaxSize(int statementCacheMaxSize)

  The size of the statement re-use cache.
  Specified by:
    `setStatementCacheMaxSize` in interface `ConnectionFactoryConfiguration`
  Since:
    2.4

### setStatementCacheMaxSize

    public void setStatementCacheMaxSize(Integer statementCacheMaxSize)

  Wrapper setter for `setStatementCacheMaxSize(int)`.

### setStatementExecutionTimeout

    public void setStatementExecutionTimeout(int statementExecutionTimeout)

  The timout for Statement execution (in seconds).
  Specified by:
    `setStatementExecutionTimeout` in interface `ConnectionFactoryConfiguration`
  Since:
    2.4

### setStatementExecutionTimeout

    public void setStatementExecutionTimeout(Integer stmntTimeout)

  Wrapper setter for `setStatementExecutionTimeout(int)`.

### getStatementExecutionTimeout

    public int getStatementExecutionTimeout()

  The timout for Statement execution (in seconds).
  Specified by:
    `getStatementExecutionTimeout` in interface `ConnectionFactoryConfiguration`
  Since:
    2.4

### getSQLExecutionListenerClass

    public String getSQLExecutionListenerClass()

  The static class for listening to `SQLExecutionEvent`s.
  Since:
    2.4

### setSQLExecutionListenerClass

    public void setSQLExecutionListenerClass(String sqlExecutionListenerClass)

  The static class for listening to `SQLExecutionEvent`s.
  Since:
    2.4

### getSQLExecutionListener

    public SQLExecutionListener getSQLExecutionListener()

  Create an instance of the `getSQLExecutionListenerClass()` class.
  Since:
    2.4

### setTransactionIsolation

    public void setTransactionIsolation(String transactionIsolation)

  The transaction isolation that will be used when starting JDBC transactions.
  Since:
    2.4

### getTransactionIsolation

    public String getTransactionIsolation()

  The transaction isolation that will be used when starting JDBC transactions.
  Since:
    2.4

### getTransactionIsolationLevel

    public int getTransactionIsolationLevel()

  Return the transaction isolation as a `Connection` transaction constant.
  Returns:
    the constant, or -1 if unset or set to an illegal value
  Since:
    2.4
  See Also:
    `Connection.TRANSACTION_NONE`, `Connection.TRANSACTION_READ_COMMITTED`, `Connection.TRANSACTION_READ_UNCOMMITTED`, `Connection.TRANSACTION_REPEATABLE_READ`, `Connection.TRANSACTION_SERIALIZABLE`

### getUseSQL92Joins

    public String getUseSQL92Joins()

  Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses. Legal values are:
  - `true`: Use SQL 92 joins.
  - `false`: Use traditional joins.
  - `database`: Use the database's proprietary join syntax, if it has one.
  Since:
    2.5

### setUseSQL92Joins

    public void setUseSQL92Joins(String useSQL92Joins)

  Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses. Legal values are:
  - `true`: Use SQL 92 joins.
  - `false`: Use traditional joins.
  - `database`: Use the database's proprietary join syntax, if it has one.
  Since:
    2.5

### getUseSQL92JoinsConstant

    public int getUseSQL92JoinsConstant()

  Return the constant from `JDBCQuery` for the join type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.